Runtime

## org.eclipse.gmf.runtime.diagram.ui
Class OffscreenEditPartFactory

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.OffscreenEditPartFactory

public class OffscreenEditPartFactory
extends java.lang.Object

Constructor Summary
`OffscreenEditPartFactory()`

Method Summary
`DiagramEditPart` `createDiagramEditPart(Diagram diagram)` Creates a `DiagramEditPart` given the `Diagram` without opening an editor.
`DiagramEditPart` `createDiagramEditPart(Diagram diagram, Shell shell, PreferencesHint preferencesHint)` Creates a `DiagramEditPart` given the `Diagram` without opening an editor.
`static OffscreenEditPartFactory` `getInstance()` gives access to the singleton instance of `OffscreenEditPartFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OffscreenEditPartFactory

    public OffscreenEditPartFactory()

Method Detail

### getInstance

    public static OffscreenEditPartFactory getInstance()

  gives access to the singleton instance of `OffscreenEditPartFactory`

  Returns:
    the singleton instance

### createDiagramEditPart

    public DiagramEditPart createDiagramEditPart(Diagram diagram)

  Creates a `DiagramEditPart` given the `Diagram` without opening an editor.

  Parameters:
    `diagram` - the `Diagram`
  Returns:
    the new populated `DiagramEditPart`

### createDiagramEditPart

    public DiagramEditPart createDiagramEditPart(Diagram diagram,
                                                 Shell shell,
                                                 PreferencesHint preferencesHint)

  Creates a `DiagramEditPart` given the `Diagram` without opening an editor.

  Parameters:
    `diagram` - the `Diagram`
    `shell` - the shell
    `preferencesHint` - the preferences hint to be used when creating the diagram; if null, the preferences hint from the root editpart will be used.
  Returns:
    the new populated `DiagramEditPart`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.